package org.kasapbasi.tutorials.w0901;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.provider.MediaStore;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;

import java.io.FileNotFoundException;
import java.io.InputStream;


public class MainActivity extends ActionBarActivity {

    ImageView iv;
    Bitmap myBitmap;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        iv=(ImageView) findViewById(R.id.imageView);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    public void onClick(View v){
       // Intent myint=new Intent();
        Intent myint=new Intent(MediaStore.ACTION_IMAGE_CAPTURE);
       // myint.setType("image/*");
       // myint.setAction(Intent.ACTION_GET_CONTENT);
       // myint.addCategory(Intent.CATEGORY_OPENABLE);
        startActivityForResult(myint,1453);

    }


    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if(requestCode==1453&& resultCode== Activity.RESULT_OK ){

            if(myBitmap!=null){

                myBitmap.recycle();
            }

            try {
              //  InputStream stream= getContentResolver().openInputStream(data.getData());
             //  myBitmap= BitmapFactory.decodeStream(stream);

               myBitmap=(Bitmap) data.getExtras().get("data");
                iv.setImageBitmap(myBitmap);

            } catch (Exception e) {
                e.printStackTrace();
            }

        }


    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
